PIL Package
===========

:mod:`PIL` Package
------------------

.. automodule:: PIL.__init__
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ArgImagePlugin` Module
----------------------------

.. automodule:: PIL.ArgImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`BdfFontFile` Module
-------------------------

.. automodule:: PIL.BdfFontFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`BmpImagePlugin` Module
----------------------------

.. automodule:: PIL.BmpImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`BufrStubImagePlugin` Module
---------------------------------

.. automodule:: PIL.BufrStubImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ContainerIO` Module
-------------------------

.. automodule:: PIL.ContainerIO
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`CurImagePlugin` Module
----------------------------

.. automodule:: PIL.CurImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`DcxImagePlugin` Module
----------------------------

.. automodule:: PIL.DcxImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`EpsImagePlugin` Module
----------------------------

.. automodule:: PIL.EpsImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ExifTags` Module
----------------------

.. automodule:: PIL.ExifTags
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`FitsStubImagePlugin` Module
---------------------------------

.. automodule:: PIL.FitsStubImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`FliImagePlugin` Module
----------------------------

.. automodule:: PIL.FliImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`FontFile` Module
----------------------

.. automodule:: PIL.FontFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`FpxImagePlugin` Module
----------------------------

.. automodule:: PIL.FpxImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`GbrImagePlugin` Module
----------------------------

.. automodule:: PIL.GbrImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`GdImageFile` Module
-------------------------

.. automodule:: PIL.GdImageFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`GifImagePlugin` Module
----------------------------

.. automodule:: PIL.GifImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`GimpGradientFile` Module
------------------------------

.. automodule:: PIL.GimpGradientFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`GimpPaletteFile` Module
-----------------------------

.. automodule:: PIL.GimpPaletteFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`GribStubImagePlugin` Module
---------------------------------

.. automodule:: PIL.GribStubImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`Hdf5StubImagePlugin` Module
---------------------------------

.. automodule:: PIL.Hdf5StubImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`IcnsImagePlugin` Module
-----------------------------

.. automodule:: PIL.IcnsImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`IcoImagePlugin` Module
----------------------------

.. automodule:: PIL.IcoImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImImagePlugin` Module
---------------------------

.. automodule:: PIL.ImImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`Image` Module
-------------------

.. automodule:: PIL.Image
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageChops` Module
------------------------

.. automodule:: PIL.ImageChops
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageCms` Module
----------------------

.. automodule:: PIL.ImageCms
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageColor` Module
------------------------

.. automodule:: PIL.ImageColor
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageDraw` Module
-----------------------

.. automodule:: PIL.ImageDraw
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageDraw2` Module
------------------------

.. automodule:: PIL.ImageDraw2
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageEnhance` Module
--------------------------

.. automodule:: PIL.ImageEnhance
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageFile` Module
-----------------------

.. automodule:: PIL.ImageFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageFileIO` Module
-------------------------

.. automodule:: PIL.ImageFileIO
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageFilter` Module
-------------------------

.. automodule:: PIL.ImageFilter
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageFont` Module
-----------------------

.. automodule:: PIL.ImageFont
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageMath` Module
-----------------------

.. automodule:: PIL.ImageMath
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageMode` Module
-----------------------

.. automodule:: PIL.ImageMode
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageOps` Module
----------------------

.. automodule:: PIL.ImageOps
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImagePalette` Module
--------------------------

.. automodule:: PIL.ImagePalette
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImagePath` Module
-----------------------

.. automodule:: PIL.ImagePath
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageQt` Module
---------------------

.. automodule:: PIL.ImageQt
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageSequence` Module
---------------------------

.. automodule:: PIL.ImageSequence
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageShow` Module
-----------------------

.. automodule:: PIL.ImageShow
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageStat` Module
-----------------------

.. automodule:: PIL.ImageStat
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageTk` Module
---------------------

.. automodule:: PIL.ImageTk
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageTransform` Module
----------------------------

.. automodule:: PIL.ImageTransform
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImageWin` Module
----------------------

.. automodule:: PIL.ImageWin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`ImtImagePlugin` Module
----------------------------

.. automodule:: PIL.ImtImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`IptcImagePlugin` Module
-----------------------------

.. automodule:: PIL.IptcImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`JpegImagePlugin` Module
-----------------------------

.. automodule:: PIL.JpegImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`JpegPresets` Module
-------------------------

.. automodule:: PIL.JpegPresets
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`McIdasImagePlugin` Module
-------------------------------

.. automodule:: PIL.McIdasImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`MicImagePlugin` Module
----------------------------

.. automodule:: PIL.MicImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`MpegImagePlugin` Module
-----------------------------

.. automodule:: PIL.MpegImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`MspImagePlugin` Module
----------------------------

.. automodule:: PIL.MspImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`OleFileIO` Module
-----------------------

.. automodule:: PIL.OleFileIO
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PSDraw` Module
--------------------

.. automodule:: PIL.PSDraw
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PaletteFile` Module
-------------------------

.. automodule:: PIL.PaletteFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PalmImagePlugin` Module
-----------------------------

.. automodule:: PIL.PalmImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PcdImagePlugin` Module
----------------------------

.. automodule:: PIL.PcdImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PcfFontFile` Module
-------------------------

.. automodule:: PIL.PcfFontFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PcxImagePlugin` Module
----------------------------

.. automodule:: PIL.PcxImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PdfImagePlugin` Module
----------------------------

.. automodule:: PIL.PdfImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PixarImagePlugin` Module
------------------------------

.. automodule:: PIL.PixarImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PngImagePlugin` Module
----------------------------

.. automodule:: PIL.PngImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PpmImagePlugin` Module
----------------------------

.. automodule:: PIL.PpmImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`PsdImagePlugin` Module
----------------------------

.. automodule:: PIL.PsdImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`SgiImagePlugin` Module
----------------------------

.. automodule:: PIL.SgiImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`SpiderImagePlugin` Module
-------------------------------

.. automodule:: PIL.SpiderImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`SunImagePlugin` Module
----------------------------

.. automodule:: PIL.SunImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`TarIO` Module
-------------------

.. automodule:: PIL.TarIO
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`TgaImagePlugin` Module
----------------------------

.. automodule:: PIL.TgaImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`TiffImagePlugin` Module
-----------------------------

.. automodule:: PIL.TiffImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`TiffTags` Module
----------------------

.. automodule:: PIL.TiffTags
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`WalImageFile` Module
--------------------------

.. automodule:: PIL.WalImageFile
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`WebPImagePlugin` Module
-----------------------------

.. automodule:: PIL.WebPImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`WmfImagePlugin` Module
----------------------------

.. automodule:: PIL.WmfImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`XVThumbImagePlugin` Module
--------------------------------

.. automodule:: PIL.XVThumbImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`XbmImagePlugin` Module
----------------------------

.. automodule:: PIL.XbmImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`XpmImagePlugin` Module
----------------------------

.. automodule:: PIL.XpmImagePlugin
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`_binary` Module
---------------------

.. automodule:: PIL._binary
    :members:
    :undoc-members:
    :show-inheritance:

